<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * funciones principales de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
	
	/**
	  * Listar idiomas instalados en el sistema
	  */
	function idiomas_instalados(){
		$idiomas		= _DIR_PAQUETE . YDS . '.ypanel/datos/lng/__datos';
		
		$json			= file_get_contents( $idiomas ); 
		$idiomas		= json_decode($json, true); 
		
		$idioma_us		= yPanel::cuenta_usuario( 'lenguaje' );
		$idiomas_list	= '';
		
		foreach( $idiomas as $k => $v ){
			$idiomas_list .= '<li><input type="radio" name="lng" value="' . $k . '"';
			if( $idioma_us == $k )  $idiomas_list .= ' checked';
			$idiomas_list .= ' onClick="eform(this.form)"> ' . $v . '</li>';
		}
		
		return $idiomas_list;
	}
	
	/**
	  * Listar idiomas instalados en el sistema
	  */
	function buscar_idiomas(){
		//$idiomas		= yPanel::$__DIR__ . '.ypanel/datos/lng/__datos';
		$idiomas		= 'http://webyplus.com/descarga/idioma/__datos';
		$json			= obtener_contenido_remoto( $idiomas ); 
		$idiomas		= json_decode($json, true); 
			
		$idiomas_list	= '';
		
		if( is_array( $idiomas ) ){
			foreach( $idiomas as $k => $v ){
				$idiomas_list .= '<li class="col-sm-3 m-t-5 m-b-5"><a href="javascript:;" onClick="instIdioma(\'' . $k . '\',\'' . $v . '\')" title="Instalar Idioma"><i class="fa fa-download"></i></a> &nbsp; ' . $v . '</li>';
			}
		}
			
		return $idiomas_list;
	}
	
	//** cargo pantalla de inicio */
	com::pantalla_inicio( com::importar( __DIR__ . YDS . 'frm.php' ) );
			 
?>